package xyz.lychee.lagfixer.libs.adventure.identity;

import java.util.UUID;
import xyz.lychee.lagfixer.libs.annotations.NotNull;
import xyz.lychee.lagfixer.libs.annotations.Nullable;

final class NilIdentity implements Identity {
   static final UUID NIL_UUID = new UUID(0L, 0L);
   static final Identity INSTANCE = new NilIdentity();

   public @NotNull UUID uuid() {
      return NIL_UUID;
   }

   public String toString() {
      return "Identity.nil()";
   }

   public boolean equals(final @Nullable Object that) {
      return this == that;
   }

   public int hashCode() {
      return 0;
   }
}
